Bullet Collision Detection & Physics Library: SoftBodyPoseData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
SoftBodyPoseData Struct Reference

`#include <btSoftBodyData.h>`

Collaboration diagram for SoftBodyPoseData:
[legend]

## Public Attributes
btMatrix3x3FloatData | m_rot
btMatrix3x3FloatData | m_scale
btMatrix3x3FloatData | m_aqq
btVector3FloatData | m_com
btVector3FloatData * | m_positions
float * | m_weights
int | m_numPositions
int | m_numWeigts
int | m_bvolume
int | m_bframe
float | m_restVolume
int | m_pad

## Detailed Description

Definition at line 111 of file btSoftBodyData.h.

## Member Data Documentation

## ◆ m_aqq

btMatrix3x3FloatData SoftBodyPoseData::m_aqq

Definition at line 115 of file btSoftBodyData.h.

## ◆ m_bframe

int SoftBodyPoseData::m_bframe

Definition at line 124 of file btSoftBodyData.h.

## ◆ m_bvolume

int SoftBodyPoseData::m_bvolume

Definition at line 123 of file btSoftBodyData.h.

## ◆ m_com

btVector3FloatData SoftBodyPoseData::m_com

Definition at line 116 of file btSoftBodyData.h.

## ◆ m_numPositions

int SoftBodyPoseData::m_numPositions

Definition at line 120 of file btSoftBodyData.h.

## ◆ m_numWeigts

int SoftBodyPoseData::m_numWeigts

Definition at line 121 of file btSoftBodyData.h.

## ◆ m_pad

int SoftBodyPoseData::m_pad

Definition at line 126 of file btSoftBodyData.h.

## ◆ m_positions

btVector3FloatData* SoftBodyPoseData::m_positions

Definition at line 118 of file btSoftBodyData.h.

## ◆ m_restVolume

float SoftBodyPoseData::m_restVolume

Definition at line 125 of file btSoftBodyData.h.

## ◆ m_rot

btMatrix3x3FloatData SoftBodyPoseData::m_rot

Definition at line 113 of file btSoftBodyData.h.

## ◆ m_scale

btMatrix3x3FloatData SoftBodyPoseData::m_scale

Definition at line 114 of file btSoftBodyData.h.

## ◆ m_weights

float* SoftBodyPoseData::m_weights

Definition at line 119 of file btSoftBodyData.h.

The documentation for this struct was generated from the following file:

- btSoftBodyData.h